librelist archives

« back to archive

fyi: package a shoes script, the zip gem was missing

fyi: package a shoes script, the zip gem was missing

From:
Oliver Gaida
Date:
2014-06-26 @ 14:52
Dear developers,

i just tryed to package a shoes app. First i got an error, which was
telling something about missing zip/zip. Then i installed the gem zip (
jruby -S gem install zip ) and it worked.

many thanx for your brilliant job!

best regards
Olli

-- 
Mit freundlichen Grüßen
Oliver Gaida

T-Systems Solutions for Research GmbH
Internet- and Intranet Appl.
Campus IT
Hausanschrift: Bunsenstrasse 10, 37073 Goettingen
Telefon: (0551) 709 2493
Telefax: (0551) 709 2169
E-Mail:  oliver.gaida@t-systems-sfr.com
Internet: http://www.t-systems-sfr.com
T-Systems Solutions for Research GmbH
Geschäftsführung: Geschäftsführer:  Bernd Flack (Sprecher), Ralf Scholz, 
Stefan Schreiner
Handelsregister: Amtsgericht München, HRB 12 55 01, Sitz der Gesellschaft: Weßling
USt.-IdNr.: DE 193456493
  
Notice: This transmittal and/or attachments may be privileged or 
confidential. If you are not the intended recipient, you are hereby 
notified that you have received this transmittal in error; any review, 
dissemination, or copying is strictly prohibited. If you received this 
transmittal in error, please notify us immediately by reply and 
immediately delete this message and all its attachments. Thank you.


Re: [shoes] fyi: package a shoes script, the zip gem was missing

From:
Tobias Pfeiffer
Date:
2014-06-26 @ 17:08
Hi Olli,

thank you for your report! :-D
Packaging is still experimental in shoes4. This issue is known and will
be fixed at the latest for the release candidate. Basically a major
upgrade occured for rubyzip and we did not migrate yet/slightlz off
version requirement.

* https://github.com/shoes/shoes4/issues/716
* https://github.com/shoes/furoshiki/issues/10

Cheers,
Tobi

On 06/26/2014 04:52 PM, Oliver Gaida wrote:
> 
> Dear developers,
> 
> i just tryed to package a shoes app. First i got an error, which was
> telling something about missing zip/zip. Then i installed the gem zip (
> jruby -S gem install zip ) and it worked.
> 
> many thanx for your brilliant job!
> 
> best regards
> Olli
> 

-- 
www.pragtob.info